.youtube-responsive {
    position: relative;
    padding-bottom: 56.25%; /* 16:9 aspect ratio */
    height: 0;
    overflow: hidden;
    max-width: 100%;
    background: #000;
    margin: 0 auto; /* Для центровки видео */
}

.youtube-responsive iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.youtube-responsive[style*="text-align: left"] {
    margin-right: auto;
    margin-left: 0;
}

.youtube-responsive[style*="text-align: right"] {
    margin-left: auto;
    margin-right: 0;
}

.youtube-responsive[style*="text-align: center"] {
    margin: 0 auto;
}